<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class FieldTypeEnum
{
    public const STRING = 'string';
    public const EMAIL = 'email';
    public const PHONE = 'phone';
    public const DATETIME = 'datetime';
    public const DATE = 'date';
    public const URL = 'url';
    public const INT = 'int';
    public const PRICE = 'price';
    public const FLOAT = 'float';
    public const ENUM = 'enum';
    public const BOOL = 'bool';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::STRING,
            self::EMAIL,
            self::PHONE,
            self::DATETIME,
            self::DATE,
            self::URL,
            self::INT,
            self::PRICE,
            self::FLOAT,
            self::ENUM,
            self::BOOL,
        ];
    }
}
